#!/bin/sh

if [ "$GRAPHITE_ROOT" = "" ]
then
  GRAPHITE_ROOT="/usr/local/graphite"
fi

if [ "$GRAPHITE_STORAGE_DIR" = "" ]
then
  GRAPHITE_STORAGE_DIR="/var/db/graphite"
fi

if [ "$WHISPER_DIR" = "" ]
then
  WHISPER_DIR="/var/db/carbon/whisper/"
fi

if [ ! -d "$WHISPER_DIR" ]
then
  echo "Fatal Error: $WHISPER_DIR does not exist."
  exit 1
fi

if [ "$INDEX_FILE" = "" ]
then
  INDEX_FILE="${GRAPHITE_STORAGE_DIR}/index"
fi

TMP_INDEX=${INDEX_FILE%%index}.index.tmp

rm -f $TMP_INDEX
cd $WHISPER_DIR
touch $INDEX_FILE
echo "[`date`]  building index..."
find -L . -name '*.wsp' | sed -E 's!^[^/]+/(.+)\.wsp$!\1!; s!/!.!g' > $TMP_INDEX
echo "[`date`]  complete, switching to new index file"
mv -f $TMP_INDEX $INDEX_FILE
